package Echiquier.Piece;

import Echiquier.Case;
import Echiquier.ColorJoueur;

public abstract class Piece {
    Case unCase;
    ColorJoueur colorJoueur;
    public Piece(Case unCase, ColorJoueur colorJoueur)
    {
        this.unCase = unCase;
        this.colorJoueur = colorJoueur;
    }

    public Case getUnCase() {
        return unCase;
    }

    public void setUnCase(Case unCase) {
        this.unCase = unCase;
    }

    public ColorJoueur getColorJoueur() {
        return colorJoueur;
    }

    public void deplace(Case unCase){
    }

    public abstract void deplace();
}
